Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## OOXMLconvert
Class ElementPicture

    java.lang.Object
      OOXMLconvert.ElementPicture

    public class ElementPicture

extends java.lang.Object

Field Summary
`private java.lang.String` | `absPath` absolútna cesta k obrázku
`private java.lang.String` | `anchor` spôsob vloženia (floating/inline)
`private java.lang.String` | `borderColor` CSS farba orámovania obrázka
`private java.lang.String` | `borderStyle` CSS štýl orámovania obrázka
`private int` | `borderWidth` hrúbka orámovania obrázka
`private Element` | `elDrawing` XML element obsahujúci obrázok
`private int` | `height` výška obrázku
`private java.lang.String` | `linkURL` kam odkazuje link, ak je obrázok odkazom
`private java.lang.String` | `relPath` relatívna cesta k obrázku
`private int` | `width` šírka obrázku

Constructor Summary
`ElementPicture(Element elDrawing)` Konštruktor triedy na prácu s obrázkom.

Method Summary
`private void` | `determineBorderStyle(java.lang.String xmlBorderStyle)` Funkcia na základe border štýlu nastaví CSS border štýl
`private void` | `determinePosition(Element posEl)` Funkcia prejde daným positionH elementom a zistí jeho pozíciu (offset/zarovnanie)
`java.util.LinkedList<Element>` | `getXHTMLImage()` Funkcia, ktorá prejde daným "elDrawing" XML elementom a vráti výstupné XHTML
`private void` | `parseDocPrElement(Element docPrEl)` Funkcia prejde daným "docPr" XML elementom a prípradne pripraví link
`private boolean` | `parseDrawing()` Funkcia prejde daným "drawing" XML elementom.
`private boolean` | `parseDrawingElements(Element el)` Funkcia prejde daným potomkom "drawing" XML elementu.
`private boolean` | `parsePicture(Element picEl)` Funkcia prejde daným "pic" elementom.
`private void` | `parseShapeElement(Element spPrEl)` Funkcia prejde daným "spPr" XML elementom a zapíše CSS štýl
`private void` | `parseSolidFillElement(Element solidFillEl)` Funkcia prejde daným solidFill elementom a zistí farbu čiary borderu.
`private boolean` | `prepareImage(java.io.File imgFile)` Funkcia pripraví obrázok.
`private boolean` | `saveImage(java.awt.image.BufferedImage image, java.lang.String imgType)` Funkcia uloží obrázok do potrebného formátu.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### elDrawing

    private Element elDrawing

  XML element obsahujúci obrázok

### anchor

    private java.lang.String anchor

  spôsob vloženia (floating/inline)

### width

    private int width

  šírka obrázku

### height

    private int height

  výška obrázku

### borderWidth

    private int borderWidth

  hrúbka orámovania obrázka

### borderStyle

    private java.lang.String borderStyle

  CSS štýl orámovania obrázka

### borderColor

    private java.lang.String borderColor

  CSS farba orámovania obrázka

### linkURL

    private java.lang.String linkURL

  kam odkazuje link, ak je obrázok odkazom

### relPath

    private java.lang.String relPath

  relatívna cesta k obrázku

### absPath

    private java.lang.String absPath

  absolútna cesta k obrázku

Constructor Detail

### ElementPicture

    public ElementPicture(Element elDrawing)

  Konštruktor triedy na prácu s obrázkom.

  Parameters:
    `elDrawing` - XML element obsahujúci "drawing" element

Method Detail

### saveImage

    private boolean saveImage(java.awt.image.BufferedImage image,
                              java.lang.String imgType)

  Funkcia uloží obrázok do potrebného formátu.

  Parameters:
    `image` - obrázok, ktorý chceme uložiť
    `imgType` - typ obrázka
  Returns:
    true ak nenastane chyba, false inak

### prepareImage

    private boolean prepareImage(java.io.File imgFile)

  Funkcia pripraví obrázok.

  Parameters:
    `imgFile` - súbor s obrázkom
  Returns:
    true ak nenastane chyba, false inak

### parseSolidFillElement

    private void parseSolidFillElement(Element solidFillEl)

  Funkcia prejde daným solidFill elementom a zistí farbu čiary borderu.

  Parameters:
    `solidFillEl` - vstupný XML solidFill element

### determineBorderStyle

    private void determineBorderStyle(java.lang.String xmlBorderStyle)

  Funkcia na základe border štýlu nastaví CSS border štýl

  Parameters:
    `xmlBorderStyle` - ooXML border štýl

### parseShapeElement

    private void parseShapeElement(Element spPrEl)

  Funkcia prejde daným "spPr" XML elementom a zapíše CSS štýl

  Parameters:
    `spPrEl` - vstupný "spPr" XML element

### parseDocPrElement

    private void parseDocPrElement(Element docPrEl)

  Funkcia prejde daným "docPr" XML elementom a prípradne pripraví link

  Parameters:
    `docPrEl` - vstupný "docPr" XML element

### parsePicture

    private boolean parsePicture(Element picEl)

  Funkcia prejde daným "pic" elementom.

  Parameters:
    `picEl` - XML "pic" element obsahujúci obrázok
  Returns:
    true ak nenastala chyba, false inak

### determinePosition

    private void determinePosition(Element posEl)

  Funkcia prejde daným positionH elementom a zistí jeho pozíciu (offset/zarovnanie)

  Parameters:
    `posEl` - positionH element

### parseDrawingElements

    private boolean parseDrawingElements(Element el)

  Funkcia prejde daným potomkom "drawing" XML elementu.

  Returns:
    true ak je element vizuálne prázdny false inak

### parseDrawing

    private boolean parseDrawing()

  Funkcia prejde daným "drawing" XML elementom.

  Returns:
    true ak je element vizuálne prázdny false inak

### getXHTMLImage

    public java.util.LinkedList<Element> getXHTMLImage()

  Funkcia, ktorá prejde daným "elDrawing" XML elementom a vráti výstupné XHTML

  Returns:
    výstupné XHTML - list elementov

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD